Bug 1607441 - Internal Server Error during filtering by flavor name in API
Summary: Internal Server Error during filtering by flavor name in API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.4
Assignee: Julian Cheal
QA Contact: Martin Kourim
URL:
Whiteboard:
Depends On: 1596069
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-23 14:39 UTC by Satoe Imaishi
Modified: 2018-09-04 18:02 UTC (History)
5 users (show)

Fixed In Version: 5.9.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1596069
Environment:
Last Closed: 2018-09-04 18:01:40 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:02:39 UTC

Comment 2 CFME Bot 2018-07-23 23:55:50 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/54ec113077d242bb804770698601291a040deb80
commit 54ec113077d242bb804770698601291a040deb80
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Jul 18 16:46:18 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Jul 18 16:46:18 2018 -0400

    Merge pull request #17692 from juliancheal/filter_by_flavor_api

    Adding flavor as a has one on VM
    (cherry picked from commit fb7a26da221d315639bf6851d646522db54f5d17)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1607441

 app/models/vm_or_template.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 3 Martin Kourim 2018-08-13 14:00:57 UTC
Verified on 5.9.4.2 that it's possible to filter by flavor name:

GET /api/vms?filter[]=flavor.name=m3.medium
{
    "name": "vms",
    "count": 38,
    "subcount": 1,
    "subquery_count": 1,
    "pages": 1,
    "resources": [
        {
            "href": "https://<addr>/api/vms/792"
        }
    ],
...

Comment 5 errata-xmlrpc 2018-09-04 18:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.